<?php
/**
 * Descriptions
 * @author yzxh24
 * @email yzxh24@gmail.com
 * @created 2011-08-10 17:07:02
 */
class SpecialsubjectController extends BackendController
{
    /**
     * 面包屑导航
     * @var array
     */
    public $breadcrumbs = array('专题列表'=>array('/admin/special/list'));
    
    /**
     * action路径前缀
     */
	protected $actionPrefix = 'admin.controllers.SpecialSubject.';

    /**
     * action对应表
     */
    protected $actionMap = array(
        'list' => 'ListAction',
        'create' => 'CreateAction',
        'update' => 'UpdateAction',
        'delete' => 'DeleteAction',
        'view' => 'ViewAction',
    );

	/**
	 * Performs the AJAX validation.
	 * @param CModel the model to be validated
	 */
	protected function performAjaxValidation($model)
	{
		if(isset($_POST['ajax']) && $_POST['ajax'] === 'special-subject-form')
		{
			echo CActiveForm::validate($model);
			Yii::app()->end();
		}
	}
}